Genivia - soap_multipart Struct Reference

|  | Home | Documentation | soap_multipart Struct Reference updated Mon Apr 22 2024 by Robert van Engelen |

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Members

Public Types | Public Attributes | List of all members
soap_multipart Struct Reference
MIME attachment functions

DIME/MIME/MTOM attachment data received by the engine. More...

## Public Types
typedef soap_multipart_iterator | iterator
| C++ only: an iterator over soap_multipart attachments. More...

## Public Attributes
struct soap_multipart * | next
| next attachment in the linked list More...
const char * | ptr
| points to raw data content More...
size_t | size
| size of data content More...
const char * | id
| DIME/MIME/MTOM content ID or form data name. More...
const char * | type
| DIME/MIME/MTOM type (MIME type format) More...
const char * | options
| DIME options. More...
enum soap_mime_encoding | encoding
| MIME Content-Transfer-Encoding. More...
const char * | location
| MIME Content-Location (optional) More...
const char * | description
| MIME Content-Description (optional) More...

## Detailed Description

DIME/MIME/MTOM attachment data received by the engine.

See also
  `soap_post_check_mime_attachments`, `soap_check_mime_attachments`, `soap_recv_mime_attachment`.

## Member Typedef Documentation

typedef soap_multipart_iterator soap_multipart::iterator

C++ only: an iterator over soap_multipart attachments.

## Member Data Documentation

const char* soap_multipart::description

MIME Content-Description (optional)

enum soap_mime_encoding soap_multipart::encoding

MIME Content-Transfer-Encoding.

const char* soap_multipart::id

DIME/MIME/MTOM content ID or form data name.

const char* soap_multipart::location

MIME Content-Location (optional)

struct soap_multipart* soap_multipart::next

next attachment in the linked list

const char* soap_multipart::options

DIME options.

const char* soap_multipart::ptr

points to raw data content

size_t soap_multipart::size

size of data content

const char* soap_multipart::type

DIME/MIME/MTOM type (MIME type format)